Package org.jboss.classfilewriter.annotations

## Class ClassAnnotation

- java.lang.Object
- - org.jboss.classfilewriter.annotations.ClassAnnotation

All Implemented Interfaces:
  `WritableEntry`

    public class ClassAnnotation
    extends java.lang.Object
    implements WritableEntry

A bytecode representation of a java annotation

Author:
  Stuart Douglas

### Constructor Summary

Constructors
`ClassAnnotation​(ConstPool constPool, java.lang.String type, java.util.List<AnnotationValue> annotationValues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<AnnotationValue>` `getAnnotationValues()`
`java.lang.String` `getType()`
`void` `write​(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassAnnotation

    public ClassAnnotation​(ConstPool constPool,
                           java.lang.String type,
                           java.util.List<AnnotationValue> annotationValues)

### Method Detail

#### write

    public void write​(ByteArrayDataOutputStream stream)
               throws java.io.IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `java.io.IOException`

#### getType

    public java.lang.String getType()

#### getAnnotationValues

    public java.util.List<AnnotationValue> getAnnotationValues()